scala.xml.parsing
class ValidatingMarkupHandler

[source: `scala/xml/parsing/ValidatingMarkupHandler.scala`]

`abstract` `class` ValidatingMarkupHandler
  `extends` MarkupHandler

Direct Known Subclasses:
  Binder

Value Summary
`var` | declCurrent : ElemDecl
`var` | declStack : List[ElemDecl]
`override final val` | isValidating : Boolean = true returns true is this markup handler is validing
`var` | qCurrent : Int
`var` | qStack : List[Int]
`var` | rootLabel : String

Values and Variables inherited from MarkupHandler
decls, ent

Method Summary
`override final def` | attListDecl (name : String, attList : List[AttrDecl]) : Unit
`override final def` | elemDecl (name : String, cmstr : String) : Unit
`override def` | elemEnd (pos : Int, pre : String, label : String) : Unit callback method invoked by MarkupParser after end-tag of element.
`override def` | elemStart (pos : Int, pre : String, label : String, attrs : MetaData, scope : NamespaceBinding) : Unit callback method invoked by MarkupParser after start-tag of element.
`override def` | endDTD (n : String) : Unit
`override def` | log (msg : String) : Unit This method should log the message given as argument somewhere as a side-effect.
`override final def` | notationDecl (notat : String, extID : ExternalID) : Unit
`override final def` | peReference (name : String) : Unit
`abstract def` | reportValidationError (pos : Int, str : String) : Unit report a syntax error
`override final def` | unparsedEntityDecl (name : String, extID : ExternalID, notat : String) : Unit

Methods inherited from MarkupHandler
elem (abstract), procInstr (abstract), comment (abstract), entityRef (abstract), text (abstract), reportSyntaxError (abstract), lookupElemDecl, replacementText, parameterEntityDecl, parsedEntityDecl

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Value Details

`` `var` rootLabel : String

`` `var` qStack : List[Int]

`` `var` qCurrent : Int

`` `var` declStack : List[ElemDecl]

`` `var` declCurrent : ElemDecl

`override final` `val` isValidating : Boolean

  returns true is this markup handler is validing

Overrides
  MarkupHandler.isValidating

Method Details

`override` `def` log(msg : String) : Unit

  This method should log the message given as argument somewhere as a side-effect.

Parameters
  `msg -` ...

`override` `def` endDTD(n : String) : Unit

Overrides
  MarkupHandler.endDTD

`override` `def` elemStart(pos : Int, pre : String, label : String, attrs : MetaData, scope : NamespaceBinding) : Unit

  callback method invoked by MarkupParser after start-tag of element.

Parameters
  `pos -` the position in the sourcefile
  `pre -` the prefix
  `label -` the local name
  `attrs -` the attributes (metadata)

Overrides
  MarkupHandler.elemStart

`override` `def` elemEnd(pos : Int, pre : String, label : String) : Unit

  callback method invoked by MarkupParser after end-tag of element.

Parameters
  `pos -` the position in the source file
  `pre -` the prefix
  `label -` the local name
  `attrs -` the attributes (metadata)

Overrides
  MarkupHandler.elemEnd

`override final` `def` elemDecl(name : String, cmstr : String) : Unit

Overrides
  MarkupHandler.elemDecl

`override final` `def` attListDecl(name : String, attList : List[AttrDecl]) : Unit

Overrides
  MarkupHandler.attListDecl

`override final` `def` unparsedEntityDecl(name : String, extID : ExternalID, notat : String) : Unit

Overrides
  MarkupHandler.unparsedEntityDecl

`override final` `def` notationDecl(notat : String, extID : ExternalID) : Unit

Overrides
  MarkupHandler.notationDecl

`override final` `def` peReference(name : String) : Unit

Overrides
  MarkupHandler.peReference

`abstract` `def` reportValidationError(pos : Int, str : String) : Unit

  report a syntax error